Bug 138005 - [TexMap] Redundant method in GraphicsLayerTextureMapper.
Summary: [TexMap] Redundant method in GraphicsLayerTextureMapper.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-23 04:29 PDT by peavo
Modified: 2014-12-03 12:37 PST (History)
10 users (show)

See Also:


Attachments
Patch (4.23 KB, patch)
2014-10-23 04:33 PDT, peavo
no flags Details | Formatted Diff | Diff
Patch (4.19 KB, patch)
2014-12-02 04:37 PST, peavo
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description peavo 2014-10-23 04:29:07 PDT
The TextureMapperLayer method descendantsOrSelfHaveRunningAnimations() can be used instead of the GraphicsLayerTextureMapper method startedAnimation().
Comment 1 peavo 2014-10-23 04:33:48 PDT
Created attachment 240343 [details]
Patch
Comment 2 peavo 2014-12-02 04:37:53 PST
Created attachment 242398 [details]
Patch
Comment 3 peavo 2014-12-02 04:40:49 PST
(In reply to comment #2)
> Created attachment 242398 [details]
> Patch

Rebased.
Comment 4 Alex Christensen 2014-12-02 13:25:49 PST
This seems ok, but I'd prefer to have someone who knows and works more with texmap review this.  Why is startedAnimation there?  Is anyone else using it?  Were they?  Will they?
Comment 5 peavo 2014-12-03 07:33:15 PST
(In reply to comment #4)
> This seems ok, but I'd prefer to have someone who knows and works more with
> texmap review this.  Why is startedAnimation there?  Is anyone else using
> it?  Were they?  Will they?

Thanks for looking into this :)

I added the startedAnimation method as part of the accelerated compositing patch for WinCairo, so I don't think anybody else is using it.
It was pointed out to me that there already is a similar method for this.
Comment 6 Alex Christensen 2014-12-03 11:58:49 PST
Comment on attachment 242398 [details]
Patch

In that case I'll put it in because it appears not to break Linux.
Comment 7 WebKit Commit Bot 2014-12-03 12:37:27 PST
Comment on attachment 242398 [details]
Patch

Clearing flags on attachment: 242398

Committed r176748: <http://trac.webkit.org/changeset/176748>
Comment 8 WebKit Commit Bot 2014-12-03 12:37:31 PST
All reviewed patches have been landed.  Closing bug.